Integrations
POST
/api/v1/integrations/{integration_id}/preview-agent-prompt

Fetch a provider agent prompt before an EfficientAI agent exists.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Path Parameters

integration_id*Integration Id
Formatuuid

Header Parameters

Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null
X-Workspace-Id?string

Optional workspace scope. When omitted, the backend uses the active/default workspace from your organization context.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Fetch a provider agent prompt before an EfficientAI agent exists.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/integrations/497f6eca-6276-4993-bfeb-53cbbbba6f08/preview-agent-prompt" \  -H "Content-Type: application/json" \  -d '{    "voice_ai_agent_id": "string"  }'
{  "provider_prompt": "string"}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!